jakielin 發問時間: 電腦與網際網路軟體 · 9 年前

Excel複製儲存格轉貼到AutoCAD

請問:

我複製Excel儲存格裡面的資料(E,N)

欲將複製的部份自動貼到AutoCAD 線

比方說:

A

1 Line

2 456.789,5000.000

3 501.521,5511.456

4 655.123,4995.123

5

6 Line

7 456.789,5000.000

8 501.521,5511.456

9 655.123,4995.123

複製(A1:A9)自動貼到AutoCAD

因為我要畫很多,分開的線

我繪製成一個表格線

有縱線 橫線 所以我將資料分開

可否有更優質的作法

以上

已更新項目:

感謝寶貴的意見

我是希望在Excel 裡面選擇好之後自動貼到AutoCAD

不是自己到AutoCAD指令: 貼上

這樣會多一道手續

以上

2 個已更新項目:

大家好

我的意思如下

Excel儲存格裡面已經有資料

資料格式為E,N

A1 456.555,335.152

A2

A3 453.158,385.445

A4

A5 449.279,399.445

.

.

A1000 411.256,558.369

這樣子的資料

如何以複製的方式貼到AutoCAD

也就是說我複製A1:A1000之後 AutoCAD就會自動畫出"線"(非聚合線)

不需要人力去貼上

PS:資料中間因為有空格非連續資料所以傷腦筋

以上

3 個已更新項目:

大家好上面的打錯資料格式

資料格式為E,N

A1 456.555,335.152

A2 455.555,375.152

A3

A4 450.158,392.444

A5 449.279,399.445

A6

.

A999 408.256,535.389

A1000 411.256,558.369

A1跟A2是一條線段 A4跟A5是另一條線段 A7跟A8是另一條線段

最好是可以一起設定圖層比方說"表格線"

PS:資料中間有空格是要讓線段不要連接用的

所以畫出來會出現很多條線段

以上

4 個解答

評分
  • Cola
    Lv 5
    9 年前
    最佳解答

    請問版大是要用那些點資料來畫表格的嗎?

    2010-11-04 01:51:36 補充:

    Sub DrawLine()

    On Error Resume Next

    Set acadapp = GetObject(, "AutoCAD.Application")

    If Err Then

    Err.Clear

    Set acadapp = CreateObject("AutoCAD.Application")

    If Err Then

    MsgBox "無法啟動 AutoCAD" & Err.Description

    Exit Sub

    End If

    End If If acadapp.Visible = False Then acadapp.Visible = True

    Set ThisDrawing = acadapp.ActiveDocument

    Set mspace = ThisDrawing.Modelspace

    drawtype = MsgBox("按'確定'畫線, 按'取消'畫聚合線", vbOKCancel)

    draw = False

    lay = "表格線"

    ThisDrawing.layers.Add lay

    For i = 1 To Selection.Rows.Count

    txt = Selection(i)

    If draw Then

    If txt = "" Then

    ThisDrawing.SendCommand cmd & vbCr

    With mspace.Item(mspace.Count - 1)

    .layer = lay

    If drawtype = 1 Then .Explode

    End With

    draw = False

    Else

    cmd = cmd & txt & vbCr

    End If

    Else

    If txt <> "" Then

    draw = True

    cmd = "_pline" & vbCr

    If InStr(txt, ",") > 0 Then

    cmd = cmd & txt & vbCr

    End If

    End If

    End If

    Next

    If draw Then

    ThisDrawing.SendCommand cmd & vbCr

    With mspace.Item(mspace.Count - 1)

    .layer = lay

    If drawtype = 1 Then .Explode

    End With

    End If

    acadapp.ZoomExtents

    Set acadapp = Nothing

    Set ThisDrawing = Nothing

    Set mspace = Nothing

    End Sub

    線or聚合線都ok

    測試一下,若有問題請再提問

  • steel
    Lv 5
    9 年前

    版主的主要用意是什麼呢?

    如果是要表格AUTOCAD就有現成的表格了

    2010-11-04 17:50:24 補充:

    EXCEL有很強大的功能,可以先用函數來把資料作成連續性的在來一次貼到AUTOCAD一次就可以完成,但你要針對EXCEL來問問題很容易解決的

  • 鬍鬚
    Lv 7
    9 年前

    如要在ACAD的座標100,100處劃一個100x100的正方形

    和在ACAD的座標100,300處劃一個100x200的長方形

    1. A1~A12如下輸入

    Line

    100,100

    200,100

    200,200

    100,200

    C

    Line

    100,300

    300,300

    300,400

    100,400

    C

    2. 複製A1~A12

    3. 到ACAD視窗下方"指令"處貼上即可

    只是這樣做會不會更複雜容易錯誤,還不如直接在ACAD視窗畫線來的簡單

    2010-11-02 16:45:11 補充:

    如果表格間格一樣,在AutoCAD劃一條線後用offset指令是最簡便的方法了,如果表格間格不一樣,就用複製→貼上就好了

    2010-11-04 10:46:02 補充:

    A1=LINE

    A2=456.555,335.152

    A3=455.555,375.152

    A4=按一下空白鍵(在AutoCAD代表Enter)

    A5=450.158,392.444

    A6=449.279,399.445

    A7=按一下空白鍵

    最後一欄(資料範圍+1欄)=空格(不要按空白鍵)

    複製A1~A欄最後(資料範圍+1欄)

    到ACAD視窗下方"指令"處貼上即可

  • son
    Lv 6
    9 年前

    選A1:A9

    複製

    選任一空白格

    按shift 再按工具列上之[編輯]\\

    [貼上圖片] 或 [貼上圖片連結]

    將所產生的圖片 再複製 貼到AUTO CAD 試試

還有問題?馬上發問,尋求解答。